import { TestBed, inject } from '@angular/core/testing';

import { APIService } from './api.service';

describe('APIService', () => {
  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [APIService]
    });
  });

  it('should be created', inject([APIService], (service: APIService) => {
    expect(service).toBeTruthy();
  }));

  it('apiService connect to server', inject([APIService], (service: APIService) => {
    service.connect();
    service.getConnectionStatus().subscribe(
      (isConnected: boolean) => {
        console.log('isConnected:' + isConnected);
      }
    );

    expect(service).toBeTruthy();
  }));

});
